import java.util.ArrayList;

public class Simulation {
  public static void simulieren(){

    ArrayList<HaendlerInterface> haendler = new ArrayList<HaendlerInterface>();
    haendler.add(new Zwerg("Sergej"));
    haendler.add(new Beamter());
    haendler.add(new Zauberer("Achmed"));
    haendler.add(new Zocker("Laila"));

    int max = 0;
    EinUndAusgabe io = new EinUndAusgabe();
    for (int i = 0; i < 10_000; i++){
      ComputerSpieler c = new ComputerSpieler();
      int weiter = 1;
      while (weiter != 0 ){
        weiter = c.handeln(haendler, io);
      }
      if (c.getSchritte() > max) {
        max = c.getSchritte();
        io.ausgeben("tmp Maximum: " + max + "\n");
      }
    }
    io.ausgeben("Maximum: " + max + "\n");
  }
}
